
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\TEST.sav".

recode s1aq3  ('P' = 1) ('A' = 2)                                                                                                                                                      (convert)  into ss1aq3 .  
recode s1aq4   ('H' = 1) ('S' = 2) ('C' = 3) ('P' = 4) ('R' = 5) ('M' = 6) ('F' = 7)                                            (convert)  into ss1aq4 .  
recode S1AQ5  ('M' = 1) ('F' = 2)                                                                                                                                                      (convert)   into sS1AQ5.
recode S1AQ6  ('G' = 1) ('S' = 2) ('E' = 3) ('A' = 4)   ('O' = 5)                                                       (convert)   into sS1AQ6.
recode s1aq7 ('M' = 1) ('W' = 2) ('F' = 3)  ('S' = 4)  ('J' = 5) ('O' = 6)                                         (convert)   into sS1AQ7.
recode S1AQ8  ('Y' = 1) ('N' = 2)                                                                                               (convert)   into sS1AQ8.
recode S1AQ9  ('G' = 1) ('I' = 2)  ('P' = 3)                                                                                         (convert)    into sS1AQ9.
recode S1AQ10a  ('P' = 1) ('S' = 2) ('T' = 3)                                                                                             (convert)   into sS1AQ10a.
recode s1aq11  ('Y' = 1) ('N' = 2)                                                                                                           (convert)  into ss1aq11.
recode S1AQ13  ('W' = 1) ('F' = 2) ('M' = 3) ('C' = 4) ('Y' =5) ('E' =6) ('U' = 7) ('N' = 8) ('I' = 9) ('O' = 10)                                                     (convert)  into sS1AQ13.
recode s1aq12  ('Y' = 1) ('N' = 2)                                                                                                                                                     (convert)  into ss1aq12.
recode s1aq14  ('Y' = 1) ('N' = 2)                                                                                                                                                     (convert)  into ss1aq14.
Recode s1bq16  ('T'= 1) ('UH'= 2 ) ('IH'= 3) ('UM'= 4 ) ('IM'= 5) ('UD'= 6 ) ('ID'= 7) ('O'= 8)                                                             (convert)  into ss1bq16.
Recode s1bq19  ('Y' = 1) ('N' = 2)                                                                                                                                                    (convert)  into ss1bq19.
Recode s1bq20  ('Y' = 1) ('N' = 2)                                                                                                                                                    (convert)  into ss1bq20.

Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav"
/ drop  = s1aq3 s1aq4 S1AQ5 S1AQ6 S1AQ7 S1AQ8 S1AQ9 S1AQ10a s1aq11 S1AQ13 s1aq12  s1aq14 s1bq16 s1bq19 s1bq20.
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav"
/ rename ss1aq3=s1aq3  ss1aq4=s1aq4 sS1AQ5=S1AQ5 sS1AQ6 = S1AQ6 sS1AQ7=S1AQ7 sS1AQ8=S1AQ8  sS1AQ9 = S1AQ9 
sS1AQ10a = S1AQ10a  sS1AQ11 = S1AQ11 ss1aq12 = s1aq12  sS1AQ13 = S1AQ13 ss1aq14 = s1aq14 ss1bq16  = s1bq16 ss1bq19  = s1bq19 ss1bq20  = s1bq20 .
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".
Value labels
     s1aq3  1 'Present' 2 'Absent'
/ s1aq4   1 'Head' 2 'Spouse' 3 'Child' 4 'Parent' 5 'Other relative' 6 'Other HH member' 7 'Strange farmer' 
/ S1AQ5    1 'Male' 2 'Female'
/ S1AQ6     1 'Gambian' 2 'Senegal' 3 'Other ECOWAS' 4 'Other African' 5 'Other non-African'
/  S1AQ7  1 'mandinka ' 2 ' wolof' 3 'fula' 4 'serahuleh' 5 'jola' 6 'other'
/  S1AQ8   1 'Yes' 2 'No' 
/  S1AQ9  1 'governement' 3 'private' 2 'islamic'
/  S1AQ10a 1 'primary' 2 'secondary' 3 'tertiary'
/ S1AQ13  1 'Work' 2 'Too far' 3 'Married' 4 'Completed' 5 'Too young'   6 'Too expensive' 7 'Not useful' 8 'Not appropriate' 9 'Prefer Islamic' 10 'Other'
/ S1AQ11  1 'Yes' 2 'No'
/ s1aq12  1 'Yes' 2 'No'
/ s1aq14  1 'Yes' 2 'No'
/ s1bq16  1 'Traditional healer/marabout' 2 'public health assistant' 3 'private health assistant' 4 'public midwife/nurse' 5 'private midwife/nurse' 
   6 'public doctor' 7 'private doctor' 8  'Other' 
/ s1bq18 
/ s1bq19  1 'Yes' 2 'No'
/s1bq18 1 'AGRIC-PRODUCER ' 2 '  PASTORIALIST' 3 'FOOD-SALES  ' 4 'NON-FOOD-SALES' 5' SELF-EMP-OTHER' 6 'FAMILY-HELPER' 7 ' PUBLIC-SECTOR '
              8 'PRIV-AGRICULTURE' 9 ' PRIV-NON-AGRIC' 10 'STUDENT-TRAINE' 11 ' NOT-IN-PAID-WORK' 12 '  OTHER '
/ s1bq20  1 'Yes' 2 'No' .
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect1.sav".
freq var = ID  / format = Dfreq.


