
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\ps94s3.sav".

recode s3q5    ('F' = 1) ('V' = 2)  ('O' = 3) ('A' = 4) ('P' = 5)  ('E' = 6)                                                      (convert)  into ss3q5.
recode s3q7    ('D' = 1) ('W' = 2) ('M' = 3) ('Y' = 4)                                                                           (convert)  into ss3q7 .  
recode s3q8    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss3q8.
recode s3q9    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss3q9.
recode s3Q11  ('I' = 1) ('S' = 2) ('D' = 3)                                                                                          (convert)  into ss3q11.
recode s3Q15  ('A' = 1) ('E' = 2) ('F' = 3) ('O' = 1) ('P' = 2) ('V' = 3)                                                  (convert)  into ss3q15.
recode s3Q17  ('D' = 1) ('W' = 2) ('M' = 3) ('Y' = 4)                                                                       (convert)  into ss3q17.
recode s3q22  ('A' = 1) ('E' = 2) ('F' = 3) ('O' = 1) ('P' = 2) ('V' = 3)                                                  (convert)  into ss3q22.
recode s3q23  ('w' = 1) ('l' = 2) ('E' = 3) ('O' = 1)                                                   (convert)  into ss3q23.

Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav". 

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav"
/ drop  = s3Q5 s3q7 s3Q8 s3Q9 S3Q11 S3Q15 S3Q17 s3q22 s3q23.
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav"
/ rename ss3Q5=s3Q5 ss3Q7 =s3Q7 ss3Q8 =s3Q8 ss3Q9=s3Q9  Ss3q11=s3q11 Ss3q15=s3q15 Ss3q17=s3q17 Ss3q22=s3q22 Ss3q23=s3q23.
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".
Value labels 
s3q5    1 'Own account' 2 'Public sector' 3 'Employer' 4 'Family helper'  5 'Private sector' 6 'Other'
/ s3Q7  1 'Day' 2 'Week' 3 'Month' 4 'Year'
/ s3Q8 1 'Yes' 2 'No'
/ s3Q9 1 'Yes' 2 'No'
/ s3Q11 1 'Increased'  2 'Same' 3 'Decreased' 
/ s3Q15 1 'OWN-ACCOUNT'  2 ' FAMILY-HELPER' 3 'PUBLIC-EMPLOYEE' 4 ' PRIVATE-EMPLOYEE' 5 ' EMPLOYER ' 6 ' OTHER'
/ s3q17  1 'Day' 2 'Week' 3 'Month' 4 'Year'
/ s3q22  1 'Own account' 2 'Public sector' 3 'Employer' 4 'Family helper'  5 'Private sector' 6 'Other'
/ s3q23  1 ' wage/salary' 2 'lost-job' 3 'enterprise close' 4 'other'.

Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".

get file="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".
compute hid= (DISTRict*1000000)+(EANUMber*1000)+hhold.
compute pid=hid*100+s3q1.
Save outfile="c:\ADP\MISSIONS\gambia\ps1994\data\spss\sect3.sav".


freq var =pid  / format = Dfreq.
