
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\temp.sav".
recode s4q4 ('E' = 1) ('A' = 2) ('F' = 3) ('U' = 4)  ('I' = 5) ('O' = 6)  ('0' = 6)                               (convert)  into ss4q4.
recode s4q5b ('D' = 1) ('W' = 2) ('M' = 3) ('Y' = 4)                               (convert)  into ss4q5b.
recode s4q7   ('Y' = 1) ('N' = 2) ('M' = 2)                                                        (convert)  into ss4q7.
recode s4q8   ('Y' = 1) ('N' = 2)    ('M' = 2)                                                   (convert)  into ss4q8.
recode s4q9  ('Y' = 1) ('N' = 2)                                                      (convert)  into ss4q9.
Save outfile="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav"
/ drop  = s4q4 s4q5b s4q7 s4q8 s4q9 .
Save outfile="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav"
/ rename ss4q4=s4q4 ss4q5b = s4q5b ss4q7 =s4q7 ss4q8=s4q8 ss4q9=s4q9 .
Save outfile="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".
Value labels 
  s4q4 1 'employer' 2 'own account worker' 3 'family helper' 4 'public salary empl' 5 'private salary empl' 6 'other'
/ s4q5b 1 'day' 2 'week' 3 'month' 4 'year'
/ s4q7  1 'Yes' 2 'No'
/  s4q8 1 'Yes' 2 'No'
/  s4q9 1 'Yes' 2 'No'     .
Save outfile="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".
compute HID= (DISTR*1000000)+(EANUM*1000)+hhold.
compute PID=HID*100+idnum.
DO IF (s4q3=0) .
RECODE
  s4q3  (0=SYSMIS)  .
END IF .
Save outfile="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1998\data\spss\sect4.sav".
freq var = pid  / format = Dfreq.
