
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\TEST.sav".

recode s5bq0    ('G' = 1) ('R' = 2)                                                                                                      (convert)  into ss5bq0 .  
recode s5bq1    ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss5bq1 .  
recode s5bq2    ('M' = 1) ('W' = 2) ('B' = 3)                                                                                         (convert)  into ss5bq2.
recode s5bQ5  ('Y' = 1) ('N' = 2)                                                                                                      (convert)   into ss5bq5.
recode s5bQ7   ('R' = 1) ('V' = 2) ('L' = 3) ('T' = 4) ('C' = 5) ('M' = 6) ('O' = 7)                                         (convert)   into ss5bq7.
recode s5bQ10 ('I' = 1) ('S' = 2) ('D' = 3)                                                                                           (convert)   into ss5bq10.
recode s5bQ11 ('C' = 1) ('M' = 2) ('L' = 3) ('F' = 4)  ('P' = 5) ('O' = 6)                                                   (convert)    into ss5bq11.
recode s5bQ12  ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss5bq12.
recode s5bQ13 ('M' = 1) ('S' = 2) ('L' = 3)                                                                                          (convert)   into ss5bq13.
Recode s5bQ14  ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss5bq14.
Recode s5bQ15  ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss5bq15.
recode s5bQ16 ('E' = 1) ('A' = 2) ('N' = 3) ('C' = 4)  ('D' = 5) ('O' = 6)                                                   (convert)     into ss5bq16.
Recode s5bQ17  ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss5bq17.
Recode s5bQ18  ('F' = 1) ('I' = 2)                                                                                                      (convert)  into ss5bq18.

Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav"
/ drop  = S5bq0 s5bQ1 s5bQ2  s5bQ5 s5bQ7 s5bQ10 s5bQ11 s5bQ12 s5bQ13 s5bq14 s5bq15 s5bq16 s5bq17 s5bq18.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav"
/ rename ss5bQ0=s5bQ0  ss5bQ1=s5bQ1 ss5bQ2=s5bQ2  ss5bQ5=s5bQ5 ss5bQ7=s5bQ7 ss5bQ10=s5bQ10  ss5bQ11 = s5bQ11 ss5bQ12 = s5bQ12
 ss5bQ13 = s5bQ13 ss5bQ14 = s5bQ14 ss5bQ15 = s5bQ15 ss5bQ16 = s5bQ16 ss5bQ17 = s5bQ17 ss5bQ18 = s5bQ18.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".
Value labels
     s5bq0       1 'Groundnuts' 2 'Rice' 
/  s5bQ1   1 'Yes' 2 'No'
/ s5bQ2    1 'Men' 2 'Women' 3 'Both'
/  s5bQ5   1 'Yes' 2 'No'                                                                                                      
/  s5bQ7   1 'Roadside stall' 2 'Village market' 3 'Large market' 4 'Trader' 5 'Cooperative' 6 'Marketing board'   7 'Other'
/  s5bQ10 1 'Increased' 2 'Same' 3 'Decreased'
/ s5bQ11  1 'Credit availability' 2 'MKT opportunity' 3 'Labour availability' 4 'Fertiliser availlable' 5 'Price change'   6 'Other'
/ s5bQ12  1 'Yes' 2 'No'
/ s5bQ13  1 'More' 2 'Same' 3 'Less'
/ s5bQ14  1 'Yes' 2 'No'
/ s5bQ15  1 'Yes' 2 'No'
/ s5bQ16  1 'Too expensive' 2 'Not available' 3 'Not needed' 4 'Credit availability' 5 'DK how to use'   6 'Other'
/ s5bQ17  1 'Yes' 2 'No'
/ s5bQ18  1 'Formal' 2 'Informal'.

Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_5B.sav".
freq var =idno /format dfreq.